billing

DELETE /v1/payment-methods/{paymentMethodId}

Revoke a stored payment method.

모든 billing 엔드포인트

인증

Bearer 토큰으로 API 키를 전송하세요. 이 엔드포인트는 명세에 특정 권한을 명시하지 않으므로, 가정하기보다는 키에 필요한 최소한의 권한을 부여하고 응답을 확인하세요.

이 엔드포인트는 조직 ID를 받지 않습니다. 사용자의 키가 이미 속한 조직을 식별하며, 응답은 해당 조직으로 한정됩니다.

무료 체험하기

대괄호 안에 있는 모든 내용을 사용자 지정 값으로 바꾸고, 키 플레이스홀더는 대시보드의 키로 바꾸세요.

curl -X DELETE https://api.zinndigital.com/v1/payment-methods/{paymentMethodId} \
  -H "Authorization: Bearer zdk_live_…"

로그인하셨나요? 대시보드의 API 콘솔이 실제 조직 ID와 본인의 키를 자동으로 채우고 라이브 API를 대상으로 요청을 실행하므로 실제 응답을 확인할 수 있습니다. API 콘솔에서 이 엔드포인트를 여세요

상세 정보

Revokes the mandate and clears its default flag. Emits `payment_method.removed` carrying whether this was the organization's **last** mandate, so the customer can be warned rather than discovering it at the next renewal (ADR 0011 §2).

매개변수

이름유형필수설명
paymentMethodId (path)stringThe stored payment method's id.

이 엔드포인트가 반환할 수 있는 오류

401 · 403 · 404 · 409